package com.link.core.basic.lock;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
@Inherited
@Documented
public @interface LinkLock {
   String key();

   int waitTime() default 1;

   int expire() default 60;

   ExceptionType exceptionType() default ExceptionType.THROW;

   String errorMsg() default "当前操作过于频繁，请稍后再试";

   ClinetType client() default ClinetType.MP;

   String condition() default "";
}
